from db import execDatabaseOperation
from loguru import logger
import json


def _opGetAccounts(cursor, params):
    accounts = []
    cursor.execute('SELECT id, description FROM account_t')
    for accountObj in cursor:
        logger.debug("add account {} -> {}".format(accountObj[0], accountObj[1]))
        accounts.append({"id": accountObj[0], "description": accountObj[1]})
    return accounts


def getAccounts(user, token_info):
    logger.info("getAccounts, token: {}".format(json.dumps(token_info)))
    return execDatabaseOperation(_opGetAccounts, ())
